Subject: Re: 23.1; antlr-mode: antlr-indent-command broken for long grammars

From: Chong Yidong <[email-masked]>
Date: Fri, 01 Jan 2010 12:42:20 -0500

> I am running into an antlr-mode bug when indenting long grammars.
> Specifically, when the point in the grammar is higher than
> antlr-slow-cache-diff-threshold indenting a grammar rule fails in
> calling c-where-wrt-brace-construct through beginning-of-defun.

> Solution:
> A simple solution (kludge) is to modify antlr-syntactic-context to not
> call beginning-of-defun in antlr-mode.el.  See attached patch.

I am not able to test this solution, because I don't work with antlr
files (and I doubt any of the other core Emacs maintainers do either).
I'm CC'ing the author of antlr-mode, Christoph Wedler, though we haven't
heard from him in a while.

In the meantime, could you try to explain what removing the
beginning-of-defun call in antlr-syntactic-context might break?  (Surely
that call is there for a reason.)